Bug 460599 - Faces do not appear in KDM greeter.
Faces do not appear in KDM greeter.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 18:13 EDT by Charlweed Hymerfan
Modified: 2009-02-06 11:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 11:07:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace log file (2.54 MB, text/plain)
2008-08-28 18:13 EDT, Charlweed Hymerfan
no flags Details

  None (edit)
Description Charlweed Hymerfan 2008-08-28 18:13:09 EDT
Created attachment 315307 [details]
strace log file

Description of problem:
The greeter does not display ANY faces in the greeter. No faces from $HOME/.face[.icon] , /usr/share/apps/kdm/faces, /usr/share/kde4/apps/kdm/faces/
etc.
Not even the .default.faces.icon is displayed

I have started kdm with /usr/bin/kdm --nodaemon --debug 0x804, and seen that 

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Create faces files in any of the paths fare faces files should be read.
2. Start KDM ( via command line or by setting DISPLAYMANAGER="KDE" in /etc/sysconfig/desktop

3.
  
Actual results:
There is an empty black vertical rectangle on the left side of the greeter, where the faces should be.

Expected results:
The faces should show on the greeter.

Additional info:
KDE 4.0
Linux mawu.hymesruzicka.org 2.6.25.14-108.fc9.i686  
End users info is obtained via an LDAP server.
Faces are shown correctly in GDM greeter


kde-settings-kdm-4.0-25.fc9.noarch
fedorawaves-kdm-theme-1.1-1.fc9.noarch

kdelibs-common-4.0.5-5.fc9.i386
kdebase-runtime-4.0.5-2.fc9.i386
kdebase3-pim-ioslaves-3.5.9-16.fc9.i386
kdeedu-4.0.5-2.fc9.i386
kdenetwork-4.0.5-3.fc9.i386
kdebase3-libs-3.5.9-16.fc9.i386
kdelibs3-3.5.9-16.fc9.i386
kdebase-libs-4.0.5-5.fc9.i386
kdepim-libs-3.5.9-10.fc9.i386
kdeartwork-4.0.5-2.fc9.i386
kdeadmin-4.0.5-1.fc9.i386
lockdev-1.0.1-12.fc9.1.i386
kdebase-4.0.5-5.fc9.i386
kdemultimedia-libs-4.0.5-1.fc9.i386
kdegraphics-libs-4.0.5-1.fc9.i386
kde-settings-pulseaudio-4.0-25.fc9.noarch
kdepim-3.5.9-10.fc9.i386
kdebase-workspace-4.0.5-3.fc9.i386
kdeaccessibility-4.0.5-1.fc9.i386
kdebase3-3.5.9-16.fc9.i386
kde-settings-4.0-25.fc9.noarch
kdepimlibs-4.0.5-1.fc9.i386
kdenetwork-libs-4.0.5-3.fc9.i386
kdegraphics-4.0.5-1.fc9.i386
kde-settings-kdm-4.0-25.fc9.noarch
kdebase-workspace-libs-4.0.5-3.fc9.i386
kdemultimedia-4.0.5-1.fc9.i386
kdeartwork-kxs-4.0.5-2.fc9.i386
kdeartwork-extras-4.0.5-2.fc9.i386
kdelibs-4.0.5-5.fc9.i386
kdeedu-libs-4.0.5-2.fc9.i386
kde-filesystem-4-14.fc9.noarch
kdegames-libs-4.0.5-1.fc9.i386
kdegames-4.0.5-1.fc9.i386
kdeutils-4.0.5-1.fc9.i386
Comment 1 Rex Dieter 2008-08-28 18:27:20 EDT
$HOME/.face.icon works for me (using kde-4.1.0, currently in updates-testing).

I'll see about testing/verifying the other locations.
Comment 2 Kevin Kofler 2008-08-28 18:30:37 EDT
> I have started kdm with /usr/bin/kdm --nodaemon --debug 0x804, and seen that

that what?
Comment 3 Charlweed Hymerfan 2008-08-28 19:04:55 EDT
Sorry about that...

I have started kdm with /usr/bin/kdm --nodaemon --debug 0x804, and seen that 
the open syscall does not fail for .default, but is still not shown.

[root@mawu faces]# grep -i "default.face" kdm.log 
open("/usr/share/apps/kdm/faces/.default.face.icon", O_RDONLY|O_NONBLOCK) = 16
The chdirs work as well

The strace log is included as an attachment.
Comment 4 Kevin Kofler 2008-08-28 19:07:13 EDT
SELinux problem?
Comment 5 Charlweed Hymerfan 2008-08-29 10:26:43 EDT
SELinux is in permissive mode.
Comment 6 Steven M. Parrish 2008-09-25 19:24:41 EDT
Thanks for the report.  I checked upstream and could not find a matching bug.Please file a bug report in the the upstream bugzilla located at http://bugs.kde.org for the particular component involved.

Once you've filed your bug report to the upstream bugzilla, please add the upstream info to this report. We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 7 Willy Villard 2008-11-13 10:08:02 EST
Seems to be linked to https://bugzilla.redhat.com/show_bug.cgi?id=447430
Comment 8 Steven M. Parrish 2009-02-06 11:07:28 EST
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.